# zedshaw.games

This is a learning projects for me to learn Go.  It's a simple website that serves past stream
information, a place to post links during stream, and the games I've made while live streaming.

## Getting godoc To Work

There's a built-in command `go doc` but there's also a more advanced tool by Google called `godoc`.
I know, amazing naming. Anyway, to get it you do this:

```shell
go get --tool go.googlesource.com/tools/godoc@latest
```

You can then run it and start indexing everything you've installed and _also_ yourprojects packages,
plus get a nice web browser based search page to view the docs:

```shell
go tool godoc -http=localhost:6060 -index
```

> ___NOTE:___ Google doesn't know how the internet works so you have to use `localhost:PORT` and not `127.0.0.1:PORT` when you run this.

After that it'll take some time to index everything but you can already start browsing the APIs you need, and your project's stuff is in the _Third Party_ section.
